Package com.independentsoft.office.odf.styles

# Class CurrencySymbol

java.lang.Object
com.independentsoft.office.odf.styles.CurrencySymbol

public class CurrencySymbol extends Object
Represents whether a currency symbol is displayed in a currency style.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CurrencySymbol()`
  Initializes a new instance of the CurrencySymbol class.
  `CurrencySymbol​(String text)`
  Initializes a new instance of the CurrencySymbol class.
  `CurrencySymbol​(String text, String language)`
  Initializes a new instance of the CurrencySymbol class.
  `CurrencySymbol​(String text, String language, String country)`
  Initializes a new instance of the CurrencySymbol class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CurrencySymbol`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCountry()`
  Gets the country code.
  `String`
  `getLanguage()`
  Gets the language code.
  `String`
  `getText()`
  Gets the text of the currency symbol.
  `void`
  `setCountry​(String country)`
  Sets the country code.
  `void`
  `setLanguage​(String language)`
  Sets the language code.
  `void`
  `setText​(String text)`
  Sets the text of the currency symbol.
  `String`
  `toString()`
  Converts the value of the current CurrencySymbol object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CurrencySymbol

    public CurrencySymbol()
    Initializes a new instance of the CurrencySymbol class.

  - ### CurrencySymbol

    public CurrencySymbol​(String text)
    Initializes a new instance of the CurrencySymbol class.
    Parameters:
      `text` - the text

  - ### CurrencySymbol

    public CurrencySymbol​(String text, String language)
    Initializes a new instance of the CurrencySymbol class.
    Parameters:
      `text` - the text
      `language` - the language

  - ### CurrencySymbol

    public CurrencySymbol​(String text, String language, String country)
    Initializes a new instance of the CurrencySymbol class.
    Parameters:
      `text` - the text
      `language` - the language
      `country` - the country

- ## Method Details

  - ### clone

    public CurrencySymbol clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current CurrencySymbol object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLanguage

    public String getLanguage()
    Gets the language code.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language code.
    Parameters:
      `language` - the new language

  - ### getCountry

    public String getCountry()
    Gets the country code.
    Returns:
      the country

  - ### setCountry

    public void setCountry​(String country)
    Sets the country code.
    Parameters:
      `country` - the new country

  - ### getText

    public String getText()
    Gets the text of the currency symbol.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text of the currency symbol.
    Parameters:
      `text` - the new text